
QGIS Application - Bug report #18794

QGIS 3.0.2 crash on startup

2018-04-23 07:53 PM - Ben Neely

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:3.0.2 Regression?: No

Operating System: Windows 7 professional service pack 1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26681

Description

I'm having the same issue on 3.0.2 as I did on 3.0.1 and 3.0.0. I can download the program just fine, but I get a crash screen when I try to

open QGIS Desktop 3.0.2 with GRASS 7.4.0. I previously submitted this bug as #18391 (3.0.0) and #18548 (3.0.1). Is this something I'm

doing wrong? I'm super excited to get into 3.0! Thanks.

Ben

User Feedback

Report Details

Crash ID: 2da396b26f43211ca81fa880817113c91d7a7715

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :
QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::updateScrollBars :

QTreeView::updateGeometries :

QAbstractItemView::doItemsLayout :

QTreeView::doItemsLayout :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-04-23 10:41 PM - Richard Duivenvoorde

Hi Ben, can you add some more details so we can try to reproduce:

- what Windows version are you using?

- which installer do you use (osgeo4w or the NSIS)?

- did you ever run one of the nightlies (that is: do you have a 'profile' already)

- if so can you remove the 'profiles' folder? (On Windows10 it something like: C:\Users\<YOU>\AppData\Roaming\QGIS\QGIS3\profiles)

- try on another machine if possible
- try another installer (like osgeo4w for example)

With me (I'm using the Osgeo4W installer on Win10-64) I've always installed all 3.x versions without problems.

#2 - 2018-05-02 08:21 PM - Ben Neely

Thanks for following up.

- I'm using 64 bit Windows 7 Professional Service Pack 1.

- I use the stand alone installer.

- I tried to load a nightly somewhere along the way, but didn't get very far. I thought something like this might be the case because when I first installed

3.0.0, I was prompted whether or not I wanted to import settings from QGIS 2. I said yes, but I haven't seen that screen with 3.0.1 or 3.0.2. 

- I removed the profiles folder. I should note that after I did this, I once again got the option of whether or not to import settings when opening for the first

time.

- I was able to install and run 3.0.2 on 64 bit Windows 10 with no problem.

- I tried the osgeo4w installer but got the same crash screen.

Is this a Windows 7 compatibility issue? I tried the install on a machine that is identical to mine except it has never had any version of QGIS 3 loaded. It

crashed the same as mine did. Here is the log:

User Feedback

Report Details

Crash ID: 2da396b26f43211ca81fa880817113c91d7a7715

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :
QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::updateScrollBars :

QTreeView::updateGeometries :

QAbstractItemView::doItemsLayout :

QTreeView::doItemsLayout :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#3 - 2018-05-03 10:35 AM - Richard Duivenvoorde

Mmm, I do not have Windows 7 machine anymore...

Are you able to try on another Win7 machine? 

Or a clean one?

If not: I would try (as shown here: https://qgis.org/en/site/getinvolved/development/bugreporting.html#log-output-on-windows)

- remove the full osgeo4w install directory

- then do a fresh osgeo4w64 install of ONLY qgis-dev (which holds debug symbols)

- install Debugview

If debugview is active, and start that dev version of QGIS you should get more descriptive error messages

I posted a message to ask if other on Win7-64 have problems:

https://lists.osgeo.org/pipermail/qgis-developer/2018-May/053199.html

#4 - 2018-05-03 10:55 AM - Michel Stuyts
I have QGIS 3.0.2 (OSGeo4W64) running on a Windows 7 machine without a problem.

#5 - 2018-05-03 11:10 AM - Andreas Neumann

Hi,

We run QGIS 3.0.2 (OSGeo4W64) or standalone just fine on Windows 7, Service Pack 1.

Andreas

#6 - 2018-05-03 11:14 AM - Andreas Neumann

Are there any virus scanners active?

Sometimes, Anti-Virus software is screwing up other software.

Also, some plugins can make QGIS crash.

Just some ideas - but I am also in the dark, why it crashes for you.

#7 - 2018-05-03 03:01 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#8 - 2018-06-11 05:13 PM - Alessandro Pasotti

- Category changed from Build/Install to Browser

#9 - 2018-09-23 03:00 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
